* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

img {
	width: 100%;
}

::root {
	--whitesmoke: #F5F5F5;
	--darkgray-1: #DDD;
	--darkgray-2: #AAA;
	--darkgray-3: #999;
	--darkgray-4: #555;
	--darkgray-5: #333;
	--green: #008000;
	--olivedrab: #6B8E23;
	--gold: #FFD700;
	--orangered: #FF4500;
	--firebrick: #B22222;

}

body {
	font-weight: 300;
	font-family: "Open Sans", serif;
	color: var(--darkgray-4);
	font-size: 14px;
}

/* header ***********************************************/
.header {
	max-width: 960px;
	margin-left: auto;
	margin-right: auto;
	font-size: 16px;
	display: flex;
	justify-content: space-between;
	align-items: stretch;
}

.header-logo {
	width: 60px;
	margin: 5px 0;
}

.org-name {
	align-self: center;
	margin-right: auto;
	margin-left: 10px;
	font-size: 24px;
	font-weight: 400;
	color: green;
}

.nav {
	display: flex;
	align-items: stretch;
}

.navbar {
	display: flex;
	align-items: stretch;
}

.navbar-item {
	list-style: none;
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 0 20px;
	cursor: pointer;
}

.navbar-item img {
	width: 20px;
	height: 20px;
	margin-top: 14px;
	filter: opacity(.5);
}

.navbar-item span {
	text-transform: lowercase;
	font-weight: 400;
	color: #999;
}

.navbar-item:hover, .navbar-item.activepage {
	background-color: gold; 

}



/* main ***********************************************/

main {

}

/* recipe-title ***********************************************/

#green-recipe-title {
	background-color: olivedrab;
	padding: 10px 0;
}

.recipe-title {
	font-size: 16px;
	max-width: 960px;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-content: center;
	margin-left: auto;
	margin-right: auto;
	padding: 30px 0px;

}


.recipe-title h1 {

	letter-spacing: 3px;
	color: #FFF;
	font-weight: 600;
}

.recipe-chevron {
	display: flex;
}

.recipe-chevron img {
	width: 40px;
	height: 40px;
	filter: invert(100%);

}

.recipe-chevron h2 {
	letter-spacing: 3px;
	color: #FFF;
	font-weight: 300;
}



/* recipe ***********************************************/

#tomato-recipe {
	margin-left: auto;
	margin-right: auto;
	font-size: 14px;
	max-width: 960px;
    display: flex;
    background-color: whitesmoke;
}

/* Left Side */
.tomato-recipe-user {
	display: flex;
	flex-direction: column;
	flex-shrink: 0;
    width: 320px;
    padding: 20px 25px;
}

.tomato-recipe-linda {
	display: flex;
	flex-direction: column;
    align-items: center;
    margin-bottom: 20px;

}

.tomato-recipe-linda h4 {
    font-size: 16px;
    margin-bottom: 5px;
    font-weight: 600;
}

.tomato-recipe-linda img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    margin: 10px 0;
}

.tomato-recipe-linda p {
    font-size: 14px;
    font-weight: 600;
    color: #666;
    margin: 0;
}

.tomato-recipe-user ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.tomato-recipe-user li {
    font-size: 14px;
    margin-bottom: 1px;
}

.tomato-recipe-user li p {
	margin-bottom: 0;
}

.tomato-recipe-counts {
	margin-bottom: 20px;
}

/* Description */
.tomato-recipe-user > div:last-child p {
    font-size: 14px;
    line-height: 1.5;
    color: #444;
}

/* Right Side - Image */
.tomato-recipe-pasta {
    width: 640px;
    flex-shrink: 0;
}

.tomato-recipe-pasta img {
	width: 100%;

}

.time-title {
	font-weight: 400;
}


/* ingredients ***********************************************/

#ingredients-instructions {
	margin-left: auto;
	margin-right: auto;
	font-size: 14px;
	max-width: 960px;
    display: flex;
    flex-shrink: 0;
    background-color: whitesmoke;
    padding: 40px 20px;

}

.ingredients, .instructions {
    width: 45%;
}

.ingredients {
	margin-right: 0px;
	width: 270px;
	display: flex;
	flex-direction: column;
	flex-shrink: 0;
}

.instructions {
	margin-left: 0px;
	width: 650px;
	display: flex;
	flex-direction: column;
	flex-shrink: 0;
}

.instructions h3 {
    font-size: 20px;
    padding-bottom: 5px;
    margin-bottom: 15px;
    font-weight: 500;
    color: #333;
}

.ingredients h3 {
	font-size: 20px;
    padding-bottom: 5px;
    font-weight: 500;
    margin-bottom: 15px;
    color: #333;
}

.ingredients ul {
    list-style-type: none;
    padding: 0;
}

.ingredients li {
    font-size: 14px;
    color: #555;
    margin-bottom: 5px;
}

.instructions ul {
    list-style-type: none;
    padding: 0;
}

.instructions li {
    font-size: 14px;
    color: #555;
    margin-bottom: 5px;
}

.amount-ingredients {
	font-weight: 600;
}




/* ratings ***********************************************/

.ratings {
	margin-left: auto;
	margin-right: auto;
	font-size: 14px;
	max-width: 960px;
	background-color: firebrick;
	color: #FFF;
	padding: 0 0 0 10px;
	display: flex;
	justify-content: space-between;
	align-items: center;
}


.ratings-icon {
	width: 18px;
	height: 18px;
	filter: invert(100%);
}

.ratings-location {
	display: flex;
	align-items: center;
}

.rating-tags {
	display: flex;
	align-items: center;

}

.ratings ul {
	display: flex;
}

.ratings li {
	list-style: none;
}

.ratings li:not(:first-child)::before {
	content:" | ";
}

.ratings-stars {
	display: flex;
	align-items: center;

}

.ratings-votes {
	background-color: #FF4500;
	padding: 10px;
	font-size: 12px;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.ratings-voted-count {
	color: white;
	margin-bottom: 0;

}

.ratings-item .ratings-icon:first-of-type {
	margin-right: 5px;
}


/* recommendations-title ***********************************************/

#recommendations {
	margin-left: auto;
	margin-right: auto;
	font-size: 14px;
	max-width: 960px;
	align-self: center;
	background-color: whitesmoke;
	font-size: 16px;
	text-align: center;
	padding: 60px 0 0 0;
}

.recommendations-title h2 {
	letter-spacing: 20px;
	color: #333;
	font-weight: 300;
	text-transform: uppercase;
	text-align: center;


}

.recommendations-title span {
	letter-spacing: 3px;
	color: #333;
	font-size: 14px;
	text-align: center;
	font-weight: 300;

}


/* recommendations ***********************************************/

.container {
    margin-left: auto;
	margin-right: auto;
	font-size: 14px;
	max-width: 960px;
    background-color: whitesmoke;
    padding: 60px 5px;
}

.card h3 {
    font-size: 16px;
    text-align: center;
    font-weight: 500;
    margin-top: 20px;
}

p {
    margin-top: 5px;
    margin-bottom: 20px;
    color: #555;
}

.recommendations {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.card {
    background: white;
    align-items: center;
    text-align: center;
    width: 300px;
    height: 460px;
}

.card img {
    width: 300px;
    height: 210px;
}

.card p {
	font-size: 14px;
	text-align: left;
	padding: 10px 20px;
}


.user-info {
    display: flex;
    align-items: center;
    margin-top: 10px;
}

.user-info img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    margin-right: 5px;
    margin-left: 10px;
}

.user-info span {
	font-size: 14px;
}

.ratings-users {
    background-color: olivedrab;
    border-radius: 5px;
    color: white;
    font-size: 16px;
    margin-left: auto;
    margin-right: 20px;
	padding: 5px;
	display: flex;
	flex-direction: column;
	align-items: center;
}

.ratings-user-label {
	margin-bottom: 0;
}

.ratings-users h5 {
	font-size: 16px;
	color: #FFF;
	font-weight: 600;
}

.ratings-users small {
	color: white;
	font-size: 14px;
}

.card .ratings-reco {
	width: 15px;
	height: 15px;
	margin-top: 5px;

}


/* footer ***********************************************/

#foot {
	background-color: #555;
	padding: 5px 0;
}


footer img {
	width: 100px;
	height: 100px;
}

.footer {
	
	max-width: 960px;
	margin-left: auto;
	margin-right: auto;
	padding: 5px 0px;
	display: flex;
	justify-content: space-between;
	align-content: center;

}

.content {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-left: 20px;
	padding: 20px 0px;
	margin-right: 60px;
}

.content-logo {
	margin-top: 14px;
	margin-bottom: 14px;
}

.content p {
	color: #FFF;
	font-size: 14px;
	text-align: center;
}


.address {
	padding: 20px 0px;
	margin-right: auto;
	align-self: center;
}


.content-item {
	color: #FFF;
	list-style: none;
	margin-top: 10px;
}



.content-item img {
	filter: invert(100%);
	width: 20px;
	height: 20px;
}

.content-item ul {
	display: flex;
	margin-top: 50px;
}

.content-item li {
	flex-direction: row;
	list-style: none;
	font-size: 14px;
	font-weight: 300;
}

.content-item-icon {
	margin-right: 10px;
}


.socials {
	display: flex;
	flex-direction: row;
	align-self: flex-end;
	filter: invert(60%);

}

.socials img {
	width: 30px;
	height: 30px;
	margin-bottom: 20px;
}

.socials img:not(:first-child) {
	margin-left: 20px;
}


#subfoot {
	background-color: #333;
	padding: 10px 0;

}


.subfooter {
	max-width: 960px;
	margin-left: auto;
	margin-right: auto;
	padding: 5px 0px;
	display: flex;
	justify-content: space-between;
	align-content: center;

}

.sub-copyright {
	display: flex;
	justify-content: space-between;
	align-items: center;
	color: #999;
}

.sub-develop {
	display: flex;
	justify-content: space-between;
	align-items: center;
	color: #999;

}

.sub-develop img {
	filter: invert(50%);
	width: 20px;
	height: 20px;

}









/* Media Queries - Mobile ***********************************************/

@media only screen and (max-width: 360px) {

	.header {
		flex-direction: column;
		align-items: center;
	}
    
    .nav {
    	max-width: 360px;
    	align-items: center;

    }

    .nav li {
    	padding: 0 10px;
    }

    .nav span {
    	font-size: 14px;
    }

    .org-name {
    	margin-right: 0;
    	margin-left: 0;
    	margin-bottom: 10px;
    }


    /* recipe title ******************************************/

    .recipe-title {
        flex-direction: row;
        align-items: center;
        text-align: center;
        padding: 15px 10px;
    }

    .recipe-title h1 {
        font-size: 18px;
        letter-spacing: 1px;
    }

    .recipe-chevron img {
        width: 30px;
        height: 30px;
    }

    .recipe-chevron {
    }

    .recipe-chevron h2 {
        font-size: 14px;
    }

    /* linda tomato recipe section *********************************/
    #tomato-recipe {
        flex-direction: column-reverse;
    }

    .tomato-recipe-user {
        width: 100%;
    }

    .tomato-recipe-pasta {
    	max-width: 360px;
    }

    /* ingredients & instructions section ***********************************/
    #ingredients-instructions {
        flex-direction: column;
        padding: 30px 10px;
    }

    .ingredients, .instructions {
        width: 100%;
        text-align: left;
    }

    .ingredients, .instructions h3 {
    	margin-bottom: 5px;
    	padding: 0;
    }

    .instructions {
    	margin-top: 20px;
    }

    /* ratings section *****************************************/
    .ratings {
        padding: 20px 0 0 0;
        flex-direction: column;
        text-align: center;
    }

    .ratings-votes {
    	width: 100px;
        padding: 10px 180px;
    }

    .ratings-votes p {
    	width: 200px;
    }

    .ratings-location {
    	margin-bottom: 20px;
    }

    .rating-tags {
    	margin-bottom: 20px;
    }

    .ratings-stars {
    	margin-bottom: 20px;
    }


    /* recommendations section **********************************/
    .recommendations-title h2 {
        font-size: 18px;
        letter-spacing: 2px;
    }

    .recommendations {
        flex-direction: column;
        gap: 30px;
    }

    .container {
    	height: 1490px;
    }

    .card {
        width: 100%;
        height: 450px;
    }

    .card img {
    	width: 100%;
    }

    .user-info img {
    	margin-left: 30px;
    	width: 50px;
    }

    .user-info {
    	align-items: center;
    	width: 300px;

    }

    .ratings-users {
    	margin-right: 0;
    	margin-left: 20px;
    }

    /* footer & subfooter *****************************************************/
    .footer {
        flex-direction: column;
        align-items: center;
    }

    .content {
        margin: 0;
        padding-bottom: 0;
    }

    .content p {
    	margin-bottom: 0;
    }

    .address {
    	width: 250px;
    	font-size: 12px;
    	margin-left: auto;
    }

    .content-item {
    	margin-top: 5px;
    }

    .address {
        margin-right: 0;
    }

    .socials {
        align-self: center;
        margin-top: 10px;
    }

    .subfooter {
        flex-direction: column;
        align-items: center;
        padding: 10px;
    }

    .sub-develop {
    	display: flex;
    	flex-direction: column;
    }

}
